#!/usr/bin/gnuplot

Mlf_over_Mtot_M09(Q_over_QstarD) = 0.008*Q_over_QstarD*exp(-(Q_over_QstarD/4.)**2)
Mlf_over_Mtot4(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/3.0)**1.6)  # <- this was selected!

a = 0.008
b = 1.4
c = 3.0
d = 1.6

# x ... log10(Q/Q^star_D)
# f ... log10(Mlf/Mtot)

f(x) = log10(a * (10**x)**b * exp(-((10**x)/c)**d))

fit f(x) 'Mlf_durda_45DEG.log' u 1:2 via a,b,c,d

print "a = ", a
print "b = ", b
print "c = ", c
print "d = ", d

########################################################################

set term x11

set xl "log {/Helvetica-Oblique Q}/{/Helvetica-Oblique Q}^{star}_D"
set yl "log {/Helvetica-Oblique M}_{lf}/{/Helvetica-Oblique M}_{tot}"

set xr [-3:log10(20)]
set yr [-6:-1]
set xtics 1

set colors classic
set samples 1000
set key left spacing 1.5 samplen 1.0 width -3 font "Helvetica,14"
set lmargin 7.2
set rmargin 1.2
set tmargin 0.6
set bmargin 3.2

tmp=log10(0.002); set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

p \
  "Mlf_durda_45DEG.log" u 1:2              t "Durda et al. (2007)"      w p lt 7 pt 6,\
  "SPH_simulations.dat" u (log10($3)):(log10(($4/150.)**3)) t "this work (upper limits)" w p lt 8 ps 1.33 pt 11,\
  log10(Mlf_over_Mtot_M09(10**x))          t "Morbidelli et al. (2009)" w l lt 7 dt 2,\
  f(x)                                     t "this work"                w l lt 1 lw 3 dt 1

pa -1

set term post eps enh color dashed "Helvetica,18"
set out "Mlf_FIT.eps"
set size 0.7,0.8
rep


q

